<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Seller_Itemexhibit_Stop_Menu
{
    var $mode;
    
    var $auth;
    var $c_seller;
    
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Seller_Itemexhibit_Stop_Menuが実行されました", "Seller_Itemexhibit_Stop_Menu#execute");

        $itemhibit = $this->c_seller->checkItemExhibit( $this->auth->getAuthData("membercd") );
        
        // 出品一時停止ではない
        if ($itemhibit[0] == 't') {
            return 'release';
        } else {
            return 'stop';
        }
    }
/*    
    function getMode()
    {
        return $this -> mode;
    }
    
    function setMode($mode)
    {
        $this -> mode = $mode;
    }
*/
}
?>
